ul.menu {
  list-style: none;
  margin: 0;
  padding: 0;
}
ul.menu .menu__item--expanded > .menu__inner {
  height: auto;
  display: flex;
}
ul.menu .menu__item--expanded > .menu__link > .menu__toggle:after {
  transform: rotate(180deg);
}
ul.menu .menu__inner {
  display: none;
  height: 0;
  overflow: hidden;
}
ul.menu .menu__link {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  -moz-column-gap: 0.5rem;
       column-gap: 0.5rem;
}
ul.menu .menu__toggle {
  display: flex;
  align-items: center;
  min-width: initial;
  padding: 0.2rem;
  border: none;
  border-radius: 0.125rem;
  background: transparent;
}
ul.menu .menu__toggle:hover, ul.menu .menu__toggle:focus-visible {
  background: transparent;
}
ul.menu .menu__toggle:focus-visible {
  outline: 2px solid #145E7F;
  outline-offset: 2px;
}
ul.menu .menu__toggle:after {
  display: inline-block;
  content: "";
  background: url("./images/chevron.svg") no-repeat center;
  background-size: contain;
  width: 0.875rem;
  height: 0.875rem;
  transition: all 0.15s ease-in-out;
}

nav.menu--main {
  display: none;
}
@media (min-width: 1024px) {
  nav.menu--main {
    display: block;
    width: 100%;
    max-width: calc(1200px + 2rem);
    padding-left: 1rem;
    padding-right: 1rem;
    margin-left: auto;
    margin-right: auto;
    box-sizing: border-box;
  }
  nav.menu--main .menu__item--expanded .menu__inner {
    visibility: visible;
    opacity: 1;
    pointer-events: all;
  }
  nav.menu--main .menu__link {
    padding: 16px 0;
    font-weight: 600;
    text-decoration: none;
    position: relative;
    z-index: 1;
  }
  nav.menu--main .menu--level-0 {
    min-height: 3rem;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: space-between;
    -moz-column-gap: 0.5rem;
         column-gap: 0.5rem;
    padding: 10px 40px;
    position: relative;
  }
  nav.menu--main .menu--level-0:before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #FFFFFF;
    border-radius: 0.5rem;
    z-index: 1;
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25), 49px 72px 24px 0 rgba(0, 0, 0, 0), 18px 26px 19px 0 rgba(0, 0, 0, 0.02), -8px 6px 16.3px 0 rgba(0, 0, 0, 0.04);
  }
  nav.menu--main .menu--level-0 .menu__link[data-drupal-link-system-path="<front>"] {
    display: block;
    font-size: 0;
    padding: 0;
  }
  nav.menu--main .menu--level-0 .menu__link[data-drupal-link-system-path="<front>"]:before {
    content: "";
    display: block;
    width: 64px;
    height: 64px;
    background: url("../../../logo.svg") no-repeat center;
    background-size: contain;
  }
  nav.menu--main .menu__inner {
    display: flex;
    flex-flow: row nowrap;
    visibility: hidden;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    width: 100%;
    left: 0;
    top: calc(100% - 16px);
    background: #F1F5F7;
    border-radius: 0 0 0.5rem 0.5rem;
    overflow: hidden;
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25), 49px 72px 24px 0 rgba(0, 0, 0, 0), 18px 26px 19px 0 rgba(0, 0, 0, 0.02), -8px 6px 16.3px 0 rgba(0, 0, 0, 0.04);
    transition: all 0.3s ease;
  }
  nav.menu--main .menu__inner .menu {
    flex: 1;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    -moz-column-gap: 4rem;
         column-gap: 4rem;
    row-gap: 1rem;
    padding: 49px 42px;
  }
  nav.menu--main .menu__inner .menu__link {
    padding: 0.5rem;
    font-weight: 500;
    z-index: initial;
  }
  nav.menu--main .menu__image {
    position: relative;
    width: 500px;
    max-width: 40%;
  }
  nav.menu--main .menu__image img {
    position: absolute;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
  }
}

nav.menu--mobile-menu .menu__item {
  border-bottom: 1px solid #D9D9D9;
}
nav.menu--mobile-menu .menu__item .menu__item {
  border-bottom: none;
  padding-left: 0.5rem;
}
nav.menu--mobile-menu .menu__item .menu__item .menu__link {
  padding: 1rem 1.5rem;
  font-size: 1rem;
}
nav.menu--mobile-menu .menu__link {
  padding: 1.5rem;
  font-size: 1.5rem;
  font-weight: 500;
  text-decoration: none;
}
nav.menu--mobile-menu .menu__toggle {
  margin-inline: auto -1rem;
  margin-block: -1rem;
  padding: 1rem;
}
@media (min-width: 1024px) {
  nav.menu--mobile-menu {
    display: none;
  }
}
